from __future__ import annotations

from abc import ABC, abstractmethod
from typing import List

from classes.location import Location


class GeoBase(ABC):
    @abstractmethod
    async def get_location(self) -> Location:
        pass

    @abstractmethod
    async def find_location(self) -> List[Location]:
        pass

    @abstractmethod
    async def nearby_location(self) -> List[Location]:
        pass
