from __future__ import annotations

from abc import ABC, abstractmethod
from typing import Any


class Importer(ABC):
    """
    The Importer class represents the object with
    functionality to import/export garbage collection
    records and convert them to other object types.
    """

    @abstractmethod
    async def import_data(self, data: Any) -> None:
        pass

    @abstractmethod
    async def export_data(self, data: Any) -> None:
        pass
